/*
 * Class WEL_IDENTIFIED
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1300 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1300 [] = {0xFF01,1551,1299,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1300 [] = {0xFF01,1299,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1300 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1300 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1300 [] = {0xFF01,1299,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1300 [] = {0xFF01,1299,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1300 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1300 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1300 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1300 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1300 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1300 [] = {0xFF01,1299,0xFFFF};


static const struct desc_info desc_1300[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1300), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1300), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1300), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1300), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1300), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1300), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1300), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1300), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1300), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1300), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1300), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1300), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A27 /*1299*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1300), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 28553, 0xFFFFFFFF},
};
void Init1300(void)
{
	IDSC(desc_1300, 0, 1299);
	IDSC(desc_1300 + 1, 1, 1299);
	IDSC(desc_1300 + 32, 1503, 1299);
	IDSC(desc_1300 + 35, 1138, 1299);
}


#ifdef __cplusplus
}
#endif
